import os

from django.core.management.base import BaseCommand, CommandError
from django.contrib.auth import get_user_model

class Command(BaseCommand):
    help = "Create a superuser with a preset password"

    def handle(self, *args, **options):
        get_user_model().objects.create_superuser(
            username=os.environ["SUPERUSER_NAME"],
            email=os.environ["SUPERUSER_EMAIL"],
            password=os.environ["SUPERUSER_PASSWORD"]
        )